
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>基于Hadoop开发网络云盘系统客户端界面设计初稿 / iVAN</title>

    <meta name="description" content="基于Hadoop开发网络云盘系统客户端界面设计初稿 前言: 本文是&lt;基于Hadoop开发网络云盘系统架构设计方案&gt;的第二篇,针对界面原型原本考虑有两个方案:1.类windows模式,文件夹.文件方式,操作习惯完全按照Windows方式进行,提供右键菜单管理命令.2.浏览列表式,提供常规界面按钮式命令.本文采用的方式是文件清单列表式,至于第一种方式,另列专题进行说明. 一.界面原型 二.设计说明 连接管理:建立连接.断开连接.设置连接参数 文件操作:浏览文件.上传文件.下载文件.删除文件.导入文件(批量).刷新列表 用户管理:查看用户信 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">基于Hadoop开发网络云盘系统客户端界面设计初稿</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>前言：</strong></p>
<p>　　本文是《<a href="http://www.cnblogs.com/hadoopdev/p/3287309.html" rel="external nofollow noreferrer">基于Hadoop开发网络云盘系统架构设计方案</a>》的第二篇，针对界面原型原本考虑有两个方案：1、类windows模式，文件夹、文件方式，操作习惯完全按照Windows方式进行，提供右键菜单管理命令。2.浏览列表式，提供常规界面按钮式命令。本文采用的方式是文件清单列表式，至于第一种方式，另列专题进行说明。</p>
<p><strong>一、界面原型</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzQ5Njk2Ni8yMDEzMDkvMDIxNzM5NTAtODQ2YWYwNjQwNzg1NDkyM2JlNGM3YmI4NDlkZTk4YTEuanBn.jpg"></p>
<p><strong>二、设计说明</strong></p>
<p>　　连接管理：建立连接、断开连接、设置连接参数</p>
<p>　　文件操作：浏览文件、上传文件、下载文件、删除文件、导入文件（批量）、刷新列表</p>
<p>　　用户管理：查看用户信息、修改用户密码<strong>　　</strong></p>
<p><strong>三、遗留问题</strong></p>
<p>　　1.文件操作长连接还是短连接问题？</p>
<p>　　2.下载优化问题？以文件/块为单位，采用线程池并行读取。</p>
<p>　　3.上传优化问题？以文件为操作单位，采用线程池并行写入。</p>
<p>　　4.用户权限管理问题？高并发用户（1000w）如何处理？</p>
<p>　　4.小文件处理问题？需要改造服务接口。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-16 11:09:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e8%ae%a1%e7%ae%97/" title="云计算">云计算</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>基于Hadoop开发网络云盘系统客户端界面设计初稿的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDW446p.html" rel="bookmark">基于Hadoop开发网络云盘系统架构设计方案第一稿</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 云计算技术的发展,各种网络云盘技术如雨后春笋,层出不穷,百度.新浪.网易都推出了自己的云盘系统,本文基于开源框架Hadoop设计实现了一套自己的网络云盘系统,方案为初步设计方案,不断完善中. 一.总体架构 二.方案说明 2.1 系统切分 从用户角度,整个系统划分为ECDisk客户端.ECDisk运营管理平台.HDFS分布式文件存储集群和账户数据应用平台四部分. 2.2 功能需求 文件管理:浏览.文件上传.文件下载.文件删除 用户管理:用户注册.用户登录.用户注销.账户充值.账户查询 三.技			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLB2D5b.html" rel="bookmark">基于Hadoop的云盘系统客户端技术难点之一 上传和下载效率优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:张子良  声明:版权所有,转载请注明出处 一.概述 基于任何平台实现的云盘系统,面临的首要的技术问题就是客户端上传和下载效率优化问题.基于Hadoop实现的云盘系统,受到Hadoop文件读写机制的影响,采用Hadoop提供的API进行HDFS文件系统访问,文件读取时默认是顺序.逐block读取:写入时是顺序写入. 二.读写机制 首先来看文件读取机制:尽管DataNode实现了文件存储空间的水平扩展和多副本机制,但是针对单个具体文件的读取,Hadoop默认的API接口并没有提供多DataNo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40lwJz.html" rel="bookmark">基于Hadoop的云盘系统客户端技术选型说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				伴随云计算技术的发展,云盘系统不断涌现,百度.360.金山等都推出了各自的云盘产品,而云盘存储的模式也越来越被用户所接受,也有越来越多的公司跃跃欲试,想在云存储领域大展拳脚,有一番作为.但是开源Hadoop平台实现语言Java和操作系统Linux的限制,Windows用户桌面版云盘客户端的开发成为了一道不可逾越的屏障. 传统桌面软件开发最适合的语言是C/C++体系(不排斥非主流VB.Delphi.C#,有兴趣的可自行研究),云盘系统的客户端也是针对最广大的Windows桌面用户设计,最基本的要求			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmKP11b.html" rel="bookmark">基于Hadoop的云盘系统客户端技术难点之二 HDFS文件访问控制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:张子良 版权所有,转载请注明出处 一.概述 Hadoop开源技术框架在实际业务应用中,其早期的安全机制饱受诟病,具体到HDFS应用方面的问题,主要包括以下几个方面: 1.用户到服务器的认证问题 (1)Namenode上没有用户认证:用户只要知道NameNode服务地址和端口信息,就可以访问HDFS,并获取文件namespace信息. (2)Datanode上没有认证机制:Datanode对读入输出并没有认证,导致如果客户端知道Blockid,就可以任意的访问Datanode上的Block数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boqdR3p.html" rel="bookmark">基于Hadoop的云盘系统客户端技术难点之三 小文件存储优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:张子良 版权所有,转载请注明出处. 一.概述 首先明确概念,这里的小文件是指小于HDFS系统Block大小的文件(默认64M),如果使用HDFS存储大量的小文件,将会是一场灾难,这取决于HDFS的实现机制和框架结构,每一个存储在HDFS中的文件.目录和块映射为一个对象存储在NameNode服务器内存中,通常占用150个字节.如果有1千万个文件,就需要消耗大约3G的内存空间.如果是10亿个文件呢,简直不可想象.这里需要特别说明的是,每一个小于Block大小的文件,存储是实际占用的存储空间仍然			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQ2O0z.html" rel="bookmark">基于Hadoop云盘系统1：上传和下载效率优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 一.读写机制 首先来看文件读取机制:尽管DataNode实现了文件存储空间的水平扩展和多副本机制,但是针对单个具体文件的读取,Hadoop默认的API接口并没有提供多DataNode的并行读取机制.基于Hadoop提供的API接口实现的云盘客户端也自然面临同样的问题.Hadoop的文件读取流程如下图所示: 使用HDFS提供的客户端开发库,向远程的Namenode发起RPC请求: Namenode会视情况返回文件的部分或者全部block列表,对于每个block,Namenode都会返回有该blo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0xZYM.html" rel="bookmark">ownCloud Client 2&period;2&period;4 发布，私人云盘系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ownCloud Client 2.2.4 发布了. ownCloud是openmediavault内置的私人云盘系统,基于php,有linux/windows/xos 等桌面系统的客户端,也有ios/andriod/winphone等手机系统的客户端.因为功能简单,所以安装使用十分方便. 更新内容: Dolphin Plugin: Use the Application name for the socket path (#5172) SyncEngine: Fix renaming of f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEGxa6p.html" rel="bookmark">基于Hadoop的气象云储存与数据处理应用浅析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于Hadoop的气象云储存与数据处理应用浅析 薛胜军 周天波 周天杰 本文主要介绍 了Hado0p架构的构成 ,用实例来对Hadoop架构的MapReduce实现进行了详细的描述 .并在这个基础上开发出一个在Hadoop架构的基础上进行气象数值统计的实例 ,并根据这个 实例来对其在单节点模式 ,伪分布模式以及 完全分布模式下的运行效率进行分析. 关键词:Hadoop架构 mapreduce机制 temp_12081800463812.pdf			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1EjZ3M.html" rel="bookmark">如何下载安装360云盘iPhone客户端</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  下载安装360云盘iPhone客户端方法:用户可以在云盘官网下载页面找到最新版本的iPhone客户端下载地址,此地址将引导您到苹果APP Store下载安装360云盘,或者使用Appstore搜索360云盘下载.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5WQAb.html" rel="bookmark" class="title">CSS布局&colon;让页脚始终保持底部的方法</a>
					<div>
						有时候,我们用css创建一个高度自适应布局,如何保证页脚(footer)在内容不超过一屏的情况下始终保持在布局最下方是一个比较头疼的事.我看过一些利用绝对定位的例子,但总感觉不是那么完美,经过一下午的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZJjoz.html" rel="bookmark" class="title">MVC构架实现之ASP</a>
					<div>
						D.ASP&lt;%class DataAccess private p_dbname private p_conn private p_rs public property let dbname(o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaj6XM.html" rel="bookmark" class="title">如何在64位windows 7上安装SharePoint 2010</a>
					<div>
						问题: 在win7(x64)环境下安装SharePoint Server2010时会遇到这个问题: 该产品要求安装Windows Server 2008 Service Pack 2 ... 解决方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yWm4z.html" rel="bookmark" class="title">Fedora 10中安装Bugzilla的步骤</a>
					<div>
						做软件开发,一直有一个问题需要解决,那就是团队之间如何协作.因此源代码管理工具和任务管理工具是必不可少的.在开源领域,有两个任务管理软件可以使用,他们是Bugzilla和Trac.至于谁好谁坏,我也不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnRKlz.html" rel="bookmark" class="title">揭示同步块索引（上）：从lock开始</a>
					<div>
						大家都知道引用类型对象除实例字段的开销外,还有两个字段的开销:类型指针和同步块索引 (SyncBlockIndex).同步块索引这个东西比起它的兄弟类型指针更少受人关注,显得有点冷落,其实此 兄功力非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AXa7p.html" rel="bookmark" class="title">PS欧式女包的合成海报</a>
					<div>
						  女包合成海报教程分享,这次是一个欧式女包的合成海报分享,图文比较大,点击大图更高清,对商业修图感兴趣的可以借鉴学习 分类: PS合成图片教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M621GXM.html" rel="bookmark" class="title">迅雷看看没有图像显示有声音怎么办</a>
					<div>
						故障分析及解决方法: 1.首先先分析是否是浏览器的故障,如果你使用的是ie浏览器的话,可能实施你安装了一些工具条,比如谷歌工具条,这些插件会将迅雷看看的影片以广告的形式拦截导致画面完全不显示的状况.所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBG65b.html" rel="bookmark" class="title">wps文字如何插入图形</a>
					<div>
						  使用各种形状的图形可以让你的文档更加生动,今天小编为大家介绍一下如何在wps文字中插入形状. 在&quot;插入&quot;选项中找到&quot;形状&quot;图标,点击▽,可以看到一些常用的形 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo77aBb.html" rel="bookmark" class="title">用Word如何批量打印奖状和信封？</a>
					<div>
						  批量打印奖状的方法: 一.建立奖状模板 首先利用Word制作一个奖状模板并保存为&quot;奖状.doc&quot;,将其中班级.姓名.获奖类别先空出,确保打印输出后的格式与奖状纸相符. 二.用E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZEjvz.html" rel="bookmark" class="title">360网盘会员退款方法及退款时间</a>
					<div>
						  退款方法一览: 在2016年10月20日后还在会员期的用户将进行全额退款: 近3个月内购买的用户,将通过原购买渠道自动退回; 超过3个月购买或通过苹果商品渠道购买的用户,需手动在官网会员记录htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7AWEb.html" rel="bookmark" class="title">支付宝的安全需要加强</a>
					<div>
						&quot;一直在用的支付宝系统也被骗子'设局',居然两次骗走了我的货款真是万万没有想到.&quot;有4年网购经验的浙江省舟山市张女士这么告诉记者,她通过支付宝平台进行交易的时候,钱却被汇到了&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24QrBp.html" rel="bookmark" class="title">C&num;如何从网页自动下载文件？</a>
					<div>
						问题描述 问题如下:一个网页php的网页上有一个&quot;下载&quot;按钮一点击按钮就可以下载一个rar压缩包:现在我写的C#winform程序可以自动点击该网页上的&quot;下载&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6D30b.html" rel="bookmark" class="title">客户端发送-关于数据包的破解和加密</a>
					<div>
						问题描述 关于数据包的破解和加密 例如:别人知道我的数据包加密算法,知道我包里有什么东西,但是我服务端做了验证,他还能改我的数据么?比如:客户端发送100金币,他修改成1000金币,但是我服务端记录了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRxyVz.html" rel="bookmark" class="title">这样设置路由，99&period;9&percnt;的黑客都攻不破</a>
					<div>
						    路由安全,是个大话题. 路由器的后台设置项太过专业,蹭网卡风靡一时,传说中的黑客似乎厉害的没影......看起来家里这台路由器根本就没得救了.只要有位稍懂的黑客盯上,分分钟被攻破. 宅客君(公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAXZRM.html" rel="bookmark" class="title">matlab-MATLAB中的直方图均衡函数histeq在opencv中实现碰到的问题</a>
					<div>
						问题描述 MATLAB中的直方图均衡函数histeq在opencv中实现碰到的问题 有没有人知道 MATALB中的直方图均衡函数histeq和opencv中的cvEqualizeHist()函数的区别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYEXyp.html" rel="bookmark" class="title">java之JUC系列-外部Tools-Executors&vert;Semaphor&vert;Exchanger&vert;CyclicBarrier&vert;CountDownLatch</a>
					<div>
						前面写了两篇JDBC源码的文章,自己都觉得有点枯燥,先插一段JUC系列的文章来换换胃口,前面有文章大概介绍过J U C包含的东西,JUC体系包含的内容也是非常的多,不是一两句可以说清楚的,我这首先列出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4QdLz.html" rel="bookmark" class="title">支付宝关闭中小商户双功能首款&comma;商户只能申请单一接口收款</a>
					<div>
						据媒体了解,支付宝已于日前发布中小商户双功能收款产品前台下线公告,商户以后只能申请单一接口收款. 公告显示,由于支付宝公司策略调整,中小商户双功能收款产品将于2014年12月29号下午15:00起下线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAARVKM.html" rel="bookmark" class="title">《计算机科学概论（第12版）》目录&mdash;导读</a>
					<div>
						版权 计算机科学概论(第12版) • 著 [美] J. Glenn Brookshear Dennis Brylow 译 刘 艺 吴 英 毛倩倩 责任编辑 杨海玲 • 人民邮电出版社出版发行 北京市丰 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKY6ZEp.html" rel="bookmark" class="title">Android菜鸟的成长笔记（15）&mdash;&mdash; Android中的状态保存探究（下）</a>
					<div>
						原文:Android菜鸟的成长笔记(15)-- Android中的状态保存探究(下) 在上一篇中我们简单了解关于Android中状态保存的过程和原理,这一篇中我们来看一下在系统配置改变的情况下保存数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnEO6M.html" rel="bookmark" class="title">ASP&period;NET文本框TextBox可用，但禁止文本框输入</a>
					<div>
						  $(&quot;#&lt;%=TextClientName.ClientID %&gt;&quot;).focus(function () { $(this).blur(); });   					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNjxBM.html" rel="bookmark" class="title">又闹事！伊拉克黑客Pro&lowbar;Mast3r纂改了特朗普竞选网站的子域名</a>
					<div>
						本文讲的是又闹事!伊拉克黑客Pro_Mast3r纂改了特朗普竞选网站的子域名,特朗普自从参与竞选以来,一直话题不断,尤其是有关网络安全的话题更是令人不安.近日又有报道称,一个来自伊拉克的黑客组织&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YyWVz.html" rel="bookmark" class="title">深度解密：三好网高续费率的背后</a>
					<div>
						本文讲的是深度解密:三好网高续费率的背后,从2013年开始,在线教育异军突起,成为投资界的宠儿,在高峰时段,在线教育机构的出生率记录是2.6家/天. 然而,出生率是&quot;小道理&quot;,存活 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkR3Xp.html" rel="bookmark" class="title">SQL取正数小数 小数位数 整数位数</a>
					<div>
						取正数小数的位数  代码如下 复制代码 select LEN(CAST((99.9999-floor(99.9999)) AS VARCHAR))-2 SQL取正数的小数  代码如下 复制代码 sel ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDk6v6p.html" rel="bookmark" class="title">flash留言板制作</a>
					<div>
						本文章主要讲flash留言板制作以及提供flash留言板源文件和asp+flash留言板源码最终目的就是让你用flash制作留言板 好了,先来看看留言的页面图片吧. 现在来看flash文件里面的act ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1GAGb.html" rel="bookmark" class="title">ajax（jquery）无响应</a>
					<div>
						问题描述 新手,想问一下为什么13.18行那句,放在 if 中就没有执行,放在下面 else 中就可以呢?难道跟return false有关吗?可能原因是什么?试了很久没找到原因,其他地方应该都正确. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdPxvp.html" rel="bookmark" class="title">2017年大数据影响商业发展的六大趋势</a>
					<div>
						随着大数据的应用范围不断扩大,越来越多的公司开始部署大数据战略.同时,大数据技术也使得商业发展的速度更快.效率更高.通过大数据技术,企业可以更轻松地获取信息,以便进行更准确的决策.很多公司已经从大数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2WNmz.html" rel="bookmark" class="title">你是属于互联网的垃圾吗&quest;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 这两天我非常的悲愤,所以我要写这篇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdQ7jp.html" rel="bookmark" class="title">Photoshop利用笔刷做云层元素效果后期制作教程</a>
					<div>
						给各位Photoshop软件的使用者们来详细的解析分享一下利用笔刷做云层元素效果的后期制作教程. 教程分享: 效果图:   步骤一:打开&quot;人物.jpg&quot;文件,用裁剪工具,对画布进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdBymAb.html" rel="bookmark" class="title">从ASP&period;NET的PHP执行速度比较谈起</a>
					<div>
						上星期我在InfoQ发表了一篇新闻,对Joe Stagner在博客上发表的三篇关于ASP.NET与PHP性能对比的文章进行了总结.写新闻其实挺不爽的,因为不能夹杂个人的看法,只能平铺直叙陈述事实.当然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2JoYob.html" rel="bookmark" class="title">防电网企业绝对控股 发改委明确增量配电试点原则</a>
					<div>
						推进增量配电业务试点方面又有了新的进展. 记者从行业内获悉,国家发改委在近期召开的电力体制改革专题会上,进一步明确了推进增量配电试点工作的相关原则:第一批试点项目中,电网企业控股.参股的项目不得超过5 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
